from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XBinaryStreamResolver(XInterface, Protocol):
    def getInputStream(self, aURL: str) -> XInputStream: ...
    def createOutputStream(self) -> XOutputStream: ...
    def resolveOutputStream(self, aBinaryStream: XOutputStream) -> str: ...
